1. rkingst's Avatar
    I am currently trying to install media sync 3.0 on my windows 7 PC and I keep getting an error message that says "an unexpected error occurred" right after I click "yes" when it asks me if I want to upgrade. I currently have blackberry media sync 2.0 installed. I have tried running the installer in compatibility mode for both xp and vista.

    I tried uninstalling media sync 2.0 first but it says something like "you are running an unsupported operating system setup can not continue" So I can't even uninstall media sync 2.0.

    Can anyone help me?
    11-24-09 11:54 AM
  2. vladfan's Avatar
    I am using Win 7 and had no problems downloading Media Sync 3.0. It works flawless.
    11-24-09 12:59 PM
  3. rkingst's Avatar
    So in case anyone else has this problem I found a solution.

    You need to update to the highest version of 2.0 and then update again to 3.0. This corrects the problem.

    Highest 2.0 version is here: http://download-mustang.rim.edgesuit...yMediaSync.exe
    11-24-09 02:42 PM
  4. rclarke6's Avatar
    rkingst, thanks much for your post. I had the same problem that you had and your solution worked perfectly for me also.
    11-25-09 02:58 PM
  5. schreul's Avatar
    This solution works great. Thanks!
    11-26-09 05:54 AM
  6. Blitz77's Avatar
    Great help!!!!! Thanks!!!! Work perfectly
    08-11-10 10:39 AM
LINK TO POST COPIED TO CLIPBOARD